Partner assignments
Update partner assignment
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://api.miracle.com/v1/admin/partner-assignments/string" \ -H "Content-Type: application/json" \ -d '{ "effectiveTo": "2019-08-24T14:15:22Z" }'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"partnerId": "bf408d53-df49-40a6-8455-a34bd4360901",
"target": {
"type": "tenant",
"tenantId": "f97df110-f4de-492e-8849-4a6af68026b0"
},
"commissionScheduleId": "cd804c31-54c6-4967-8c57-64decd6a736f",
"status": "active",
"effectiveFrom": "string",
"effectiveTo": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": null
}
}Empty
Empty
Empty